#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=aiohttp-apispec
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.coverage

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	cp -r debian/webargs aiohttp_apispec
	cp -r debian/apispec aiohttp_apispec
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator
